> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.moveworks.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.moveworks.com/_mcp/server.

# Count plugin resources

GET https://api.moveworks.ai/export/v1/records/plugin-resources/$count

Return the number of plugin resources matching the optional $filter. This is the only supported way to get a count: the OData ?$count=true query option on the list endpoint is ignored. The response is not paginated.

Reference: https://docs.moveworks.com/api-reference/data-api/count-plugin-resources

## Authentication

- `Authorization` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.moveworks.ai/export/v1/records` (US PROD server. If you are located in the US region please use this server URL, default)
- `https://api.am-eu-central.moveworks.ai/export/v1/records` (EU PROD server. If you are located in the EU region please use this server URL)
- `https://api.am-ca-central.moveworks.ai/export/v1/records` (CA PROD server. If you are located in the CA region please use this server URL)
- `https://api.moveworksgov.ai/export/v1/records` (Govcloud PROD server. If you are on GovCloud infrastrucutre (US region) please use this server URL)
- `https://api.jp.moveworks.com/export/v1/records` (Japan production server)
- `https://api.uk.moveworks.com/export/v1/records` (UK production server)
- `https://api.prod4.us.moveworks.com/export/v1/records` (US Prod 4 production server)
- `https://api.prod3.us.moveworks.com/export/v1/records` (US Prod 3 production server)

## Request

### Query parameters

- `$filter` (string, optional) — This option allows the client to filter the resource that is address by request URL

## Response

### 200

Successfully retrieved count of plugin resources

## Errors

### 400 Bad Request Error

Bad request error

- `code` (string, optional)
- `message` (string, optional)

### 403 Forbidden Error

Forbidden error

- `code` (string, optional)
- `message` (string, optional)

### 404 Not Found Error

URL not found error

- `code` (string, optional)
- `message` (string, optional)

### 429 Too Many Requests Error

Rate limiting exceeding error

- `code` (string, optional)
- `message` (string, optional)

### 500 Internal Server Error

Internal server error

- `code` (string, optional)
- `message` (string, optional)

## Examples

**Response**

```json
"1234"
```

**SDK Code**

```python
import requests

url = "https://api.moveworks.ai/export/v1/records/plugin-resources/$count"

querystring = {"$filter":"user_id eq '123456'"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/export/v1/records/plugin-resources/$count?%24filter=user_id+eq+%27123456%27")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```